org.apache.catalina

## Interface AsyncDispatcher

    public interface AsyncDispatcher

### Method Summary

Methods
`void` `dispatch(ServletRequest request, ServletResponse response)` Perform an asynchronous dispatch.

### Method Detail

#### dispatch

    void dispatch(ServletRequest request,
                ServletResponse response)
                  throws ServletException,
                         IOException

Perform an asynchronous dispatch. The method does not check if the request is in an appropriate state for this; it is the caller's responsibility to check this.

Throws:
  `ServletException`
  `IOException`